package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/fms_api/controller"
)

func InitAuth(baseGroup *gin.RouterGroup) {
	//登录
	authController := new(controller.AuthController)
	authGroup := baseGroup.Group("auth/")
	authGroup.POST("login", authController.Login)
}
