package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/fms_api/controller/resource"
)

func InitResource(baseGroup *gin.RouterGroup) {
	videoController := new(resource.VideoController)
	videoGroup := baseGroup.Group("video/")
	videoGroup.GET("oss_sts_token", videoController.GetOssStsToken)
}
